org.eclipse.emf.facet.widgets.table.ui

## Interface ITableWidget

    public interface ITableWidget

This interface defines every public action a user can perform on the EMF Facet table widget

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addRows(java.util.List<? extends EObject> newElements)` Add a new row in the table for each given element.
`java.util.List<EObject>` `getSelectedRowEObjects()`
`ITableCommandFactory` `getTableCommandFactory()`
`void` `selectRows(java.util.List<EObject> elementsToSelect, boolean clearTheSelection)` This method allows to select the rows representing the EObjects in the table
`void` `setFacetSets(java.util.List<? extends FacetSet> facetSets)` Set the facets in order to apply them on the table.

### Method Detail

#### addRows

    void addRows(java.util.List<? extends EObject> newElements)

Add a new row in the table for each given element.

Parameters:
  `newElements` - the list of elements to add to the table

#### setFacetSets

    void setFacetSets(java.util.List<? extends FacetSet> facetSets)

Set the facets in order to apply them on the table. If `FacetReference` or `FacetAttribute` are contained by those facets, new columns `FacetReferenceColumn` and `FacetAttributeColumn` are added to the table.

Parameters:
  `facets` - the list of facets to be applied on the table.

#### getSelectedRowEObjects

    java.util.List<EObject> getSelectedRowEObjects()

#### getTableCommandFactory

    ITableCommandFactory getTableCommandFactory()

#### selectRows

    void selectRows(java.util.List<EObject> elementsToSelect,
                    boolean clearTheSelection)

This method allows to select the rows representing the EObjects in the table

Parameters:
  `elementsToSelect` - the elements to select
  `clearTheSelection` - indicates if the current selection should be cleared